## org.apache.hadoop.fs
Class FileSystem.Statistics

    java.lang.Object
      org.apache.hadoop.fs.FileSystem.Statistics

Enclosing class:
  FileSystem

    public static final class FileSystem.Statistics

extends Object

Constructor Summary
`FileSystem.Statistics(String scheme)`

Method Summary
`long` `getBytesRead()` Get the total number of bytes read
`long` `getBytesWritten()` Get the total number of bytes written
`int` `getLargeReadOps()` Get the number of large file system read operations such as list files under a large directory
`int` `getReadOps()` Get the number of file system read operations such as list files
`String` `getScheme()` Get the uri scheme associated with this statistics object.
`int` `getWriteOps()` Get the number of file system write operations such as create, append rename etc.
`void` `incrementBytesRead(long newBytes)` Increment the bytes read in the statistics
`void` `incrementBytesWritten(long newBytes)` Increment the bytes written in the statistics
`void` `incrementLargeReadOps(int count)` Increment the number of large read operations
`void` `incrementReadOps(int count)` Increment the number of read operations
`void` `incrementWriteOps(int count)` Increment the number of write operations
`void` `reset()` Reset the counts of bytes to 0.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileSystem.Statistics

    public FileSystem.Statistics(String scheme)

Method Detail

### incrementBytesRead

    public void incrementBytesRead(long newBytes)

  Increment the bytes read in the statistics

  Parameters:
    `newBytes` - the additional bytes read

### incrementBytesWritten

    public void incrementBytesWritten(long newBytes)

  Increment the bytes written in the statistics

  Parameters:
    `newBytes` - the additional bytes written

### incrementReadOps

    public void incrementReadOps(int count)

  Increment the number of read operations

  Parameters:
    `count` - number of read operations

### incrementLargeReadOps

    public void incrementLargeReadOps(int count)

  Increment the number of large read operations

  Parameters:
    `count` - number of large read operations

### incrementWriteOps

    public void incrementWriteOps(int count)

  Increment the number of write operations

  Parameters:
    `count` - number of write operations

### getBytesRead

    public long getBytesRead()

  Get the total number of bytes read

  Returns:
    the number of bytes

### getBytesWritten

    public long getBytesWritten()

  Get the total number of bytes written

  Returns:
    the number of bytes

### getReadOps

    public int getReadOps()

  Get the number of file system read operations such as list files

  Returns:
    number of read operations

### getLargeReadOps

    public int getLargeReadOps()

  Get the number of large file system read operations such as list files under a large directory

  Returns:
    number of large read operations

### getWriteOps

    public int getWriteOps()

  Get the number of file system write operations such as create, append rename etc.

  Returns:
    number of write operations

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### reset

    public void reset()

  Reset the counts of bytes to 0.

### getScheme

    public String getScheme()

  Get the uri scheme associated with this statistics object.

  Returns:
    the schema associated with this set of statistics

Copyright © 2009 The Apache Software Foundation